mxGraphMlNode (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlNode

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlNode

    public class mxGraphMlNode

extends Object

Represents a Data element in the GML Structure.

Constructor Summary
`mxGraphMlNode(Element nodeElement)` Construct a Node from a xml Node Element.
`mxGraphMlNode(String nodeId, mxGraphMlData nodeData)` Construct a node with Id and one data element

Method Summary
`Element` | `generateElement(Document document)` Generates a Key Element from this class.
`mxGraphMlData` | `getNodeData()`
`HashMap<String,mxGraphMlData>` | `getNodeDataMap()`
`List<mxGraphMlGraph>` | `getNodeGraph()`
`String` | `getNodeId()`
`HashMap<String,mxGraphMlPort>` | `getNodePort()`
`void` | `setNodeData(mxGraphMlData nodeData)`
`void` | `setNodeDataMap(HashMap<String,mxGraphMlData> nodeDataMap)`
`void` | `setNodeGraph(List<mxGraphMlGraph> nodeGraph)`
`void` | `setNodeId(String nodeId)`
`void` | `setNodePort(HashMap<String,mxGraphMlPort> nodePort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlNode

    public mxGraphMlNode(String nodeId,
                         mxGraphMlData nodeData)

  Construct a node with Id and one data element

  Parameters:
    `nodeId` - Node`s ID
    `nodeData` - Gml Data.

### mxGraphMlNode

    public mxGraphMlNode(Element nodeElement)

  Construct a Node from a xml Node Element.

  Parameters:
    `nodeElement` - Xml Node Element.

Method Detail

### getNodeId

    public String getNodeId()

### setNodeId

    public void setNodeId(String nodeId)

### getNodeDataMap

    public HashMap<String,mxGraphMlData> getNodeDataMap()

### setNodeDataMap

    public void setNodeDataMap(HashMap<String,mxGraphMlData> nodeDataMap)

### getNodeGraph

    public List<mxGraphMlGraph> getNodeGraph()

### setNodeGraph

    public void setNodeGraph(List<mxGraphMlGraph> nodeGraph)

### getNodePort

    public HashMap<String,mxGraphMlPort> getNodePort()

### setNodePort

    public void setNodePort(HashMap<String,mxGraphMlPort> nodePort)

### generateElement

    public Element generateElement(Document document)

  Generates a Key Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

### getNodeData

    public mxGraphMlData getNodeData()

### setNodeData

    public void setNodeData(mxGraphMlData nodeData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.